Package org.apache.storm.generated

## Enum StormBase._Fields

- java.lang.Object
- - java.lang.Enum<StormBase._Fields>
  - - org.apache.storm.generated.StormBase._Fields

- All Implemented Interfaces:
    `Serializable`, `Comparable<StormBase._Fields>`, `org.apache.storm.thrift.TFieldIdEnum`
  Enclosing class:
    StormBase

      public static enum StormBase._Fields
      extends Enum<StormBase._Fields>
      implements org.apache.storm.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMPONENT_DEBUG` |
    `COMPONENT_EXECUTORS` |
    `LAUNCH_TIME_SECS` |
    `NAME` |
    `NUM_WORKERS` |
    `OWNER` |
    `PREV_STATUS` |
    `PRINCIPAL` |
    `STATUS` |
    `TOPOLOGY_ACTION_OPTIONS` |
    `TOPOLOGY_VERSION` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StormBase._Fields` | `findByName​(String name)` | Find the _Fields constant that matches name, or null if its not found.
    `static StormBase._Fields` | `findByThriftId​(int fieldId)` | Find the _Fields constant that matches fieldId, or null if its not found.
    `static StormBase._Fields` | `findByThriftIdOrThrow​(int fieldId)` | Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `String` | `getFieldName()` |
    `short` | `getThriftFieldId()` |
    `static StormBase._Fields` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static StormBase._Fields[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NAME

          public static final StormBase._Fields NAME

    - #### STATUS

          public static final StormBase._Fields STATUS

      See Also:
        `TopologyStatus`

    - #### NUM_WORKERS

          public static final StormBase._Fields NUM_WORKERS

    - #### COMPONENT_EXECUTORS

          public static final StormBase._Fields COMPONENT_EXECUTORS

    - #### LAUNCH_TIME_SECS

          public static final StormBase._Fields LAUNCH_TIME_SECS

    - #### OWNER

          public static final StormBase._Fields OWNER

    - #### TOPOLOGY_ACTION_OPTIONS

          public static final StormBase._Fields TOPOLOGY_ACTION_OPTIONS

    - #### PREV_STATUS

          public static final StormBase._Fields PREV_STATUS

      See Also:
        `TopologyStatus`

    - #### COMPONENT_DEBUG

          public static final StormBase._Fields COMPONENT_DEBUG

    - #### PRINCIPAL

          public static final StormBase._Fields PRINCIPAL

    - #### TOPOLOGY_VERSION

          public static final StormBase._Fields TOPOLOGY_VERSION

  - ### Method Detail

    - #### values

          public static StormBase._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StormBase._Fields c : StormBase._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StormBase._Fields valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### findByThriftId

          public static StormBase._Fields findByThriftId​(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static StormBase._Fields findByThriftIdOrThrow​(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static StormBase._Fields findByName​(String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.storm.thrift.TFieldIdEnum`

    - #### getFieldName

          public String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.storm.thrift.TFieldIdEnum`